Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041435
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-23 15:542019-08-25 06:50
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision55c8d1e6019e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041435: Apply HQL style guide to DocFINPayment

DescriptionApply HQL style guide to DocFINPayment
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
related to defect 00412443.0PR19Q4 closedcollazoandy4 DocFINPayment.createFact is not using bind-params 

-  Notes
(0113622)
collazoandy4 (developer)
2019-07-24 16:19

Test Plan
  Go to Financial Account window and select Cuenta de Banco record
    Select Transferencia record in Payment Method tab
      Fill out the Upon Receipt Use and Upon Reconciliation Use fields
  Create a new Sales Invoice for Alimentos y Supermercados, S.A
    Complete the invoice and Add a Payment
  Go to the Payment created and post it, check the process ends without errors
(0114122)
hgbot (developer)
2019-08-22 13:31

Repository: erp/devel/pi
Changeset: 55c8d1e6019ee1d75053babe5ded83184536b438
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Jul 24 00:41:34 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/55c8d1e6019ee1d75053babe5ded83184536b438 [^]

Fixes issue 41435: Apply HQL style guide to DocFINPayment

Applied the new HQL style in DocFINPayment

---
M src/org/openbravo/erpCommon/ad_forms/DocFINPayment.java
---
(0114125)
Sandrahuguet (developer)
2019-08-22 13:32

code review + testing ok
(0114257)
hudsonbot (developer)
2019-08-25 06:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2915449dde15 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-23 15:54 collazoandy4 New Issue
2019-07-23 15:54 collazoandy4 Assigned To => Triage Finance
2019-07-23 15:54 collazoandy4 Modules => Core
2019-07-23 15:54 collazoandy4 Triggers an Emergency Pack => No
2019-07-23 15:58 collazoandy4 Relationship added related to 0041287
2019-07-23 16:16 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-23 16:17 collazoandy4 Status new => scheduled
2019-07-24 16:19 collazoandy4 Note Added: 0113622
2019-08-22 12:57 Sandrahuguet Relationship added related to 0041244
2019-08-22 13:31 hgbot Checkin
2019-08-22 13:31 hgbot Note Added: 0114122
2019-08-22 13:31 hgbot Status scheduled => resolved
2019-08-22 13:31 hgbot Resolution open => fixed
2019-08-22 13:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/55c8d1e6019ee1d75053babe5ded83184536b438 [^]
2019-08-22 13:32 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-22 13:32 Sandrahuguet Note Added: 0114125
2019-08-22 13:32 Sandrahuguet Status resolved => closed
2019-08-22 13:32 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-25 06:50 hudsonbot Checkin
2019-08-25 06:50 hudsonbot Note Added: 0114257


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker